﻿@model IEnumerable<NatjecajStrucnjaciViewModel>
<table class="table table-sm table-striped table-hover" id="table-stavke">
    <thead>
        <tr>
            @{
                string[] nazivi = { "Opis kriterija", "Broj potrebnih stručnjaka", "Stručna sprema" };
                for (int i = 0; i < nazivi.Length; i++)
                {
                    <th>
                        @nazivi[i]
                    </th>
                }
            }
        </tr>
    </thead>

<tbody>
    @foreach (var ns in Model)
    {
        <tr>
            <td class="text-center col-sm-3">
                <input type="hidden" data-autocomplete-placeholder="acopiskriterija" />
                <input name="Ns[@ns.Id].Naziv" class="form-control" value="@ns.OpisKriterija" data-autocomplete="acopiskriterija" />
            </td>
            <td class="text-center col-sm-3">
                <input type="hidden" data-autocomplete-placeholder="acbrojstrucnjaka" />
                <input name="Ns[@ns.Id].FkMjesto" class="form-control" value="@ns.BrPotrebnihStrucnjaka" data-autocomplete="acbrojstrucnjaka" />
            </td>
            <td class="text-center col-sm-3">
                <input name="Ns[@ns.Id].Adresa" class="form-control" value="@ns.StrucnaSprema" />
            </td>
            <td>
                <button class="btn btn-sm btn-danger deleterow" title="Izbaci"><i class="fa fa-minus"></i></button>
            </td>
        </tr>
    }
<tr>
    <td class="text-center col-sm-5">
        <input id="ns-vrijednost" type="hidden" data-autocomplete-placeholder="acopiskriterija" />
        <input id="ns-naziv" type="text" data-autocomplete="acopiskriterija" />
        <script>
            function dodajId() {
                document.getElementById("ns-id").value = $("#ns-vrijednost").val();
            }
        </script>
    </td>
    <td class="text-center col-sm-3">
        <input type="hidden" data-autocomplete-placeholder="acbrojstrucnjaka" />
        <input id="ns-brojstrucnjaka" type="text" data-autocomplete="acbrojstrucnjaka" />
    </td>
    <td class="text-center col-sm-3">
        <input type="hidden" data-autocomplete-placeholder="acstrucnasprema" />
        <input id="ns-strucnasprema" type="text" data-autocomplete="acstrucnasprema" />
    </td>
    <td class="text-left" colspan="3">
        <button onclick="dodajId()" id="ns-dodaj" class="btn btn-sm btn-secondary" title="Dodaj"><i class="fas fa-plus"></i></button>
    </td>
</tr>
</tbody>
</table>

@section styles {
    <link rel="stylesheet" href="~/lib/jqueryui/themes/base/jquery-ui.css" />
} 
@section scripts {
    <script src="~/lib/jqueryui/jquery-ui.js"></script>
    <script asp-src-include="~/js/autocomplete.js" asp-append-version="true"></script>
    <script asp-src-include="~/js/troskovnik_natjecaj.js" asp-append-version="true"></script>
}